%global enable_tests 1
%global module_name fs-ext

Name:           nodejs-%{module_name}
Version:        0.5.0
Release:        9%{?dist}.1
Summary:        Extensions to core 'fs' module for Node.js

License:        MIT
URL:            https://github.com/baudehlo/node-fs-ext/
Source0:        https://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
# https://patch-diff.githubusercontent.com/raw/baudehlo/node-fs-ext/pull/52
Patch0:         nodejs-fs-ext-errno.patch

BuildRequires:  node-gyp
BuildRequires:  nodejs-devel
BuildRequires:  npm(nan) >= 2.0.0

Requires:       npm(nan)

BuildRequires:  nodejs-packaging
ExclusiveArch:   %{nodejs_arches}

%description
%{summary}.

%prep
%setup -q -n package
%patch0 -p1
rm -rf node_modules
%nodejs_fixdep --caret nan

%build
export CXXFLAGS="%{optflags}"
export NODE_PATH="/usr/lib/node_modules/"
%nodejs_symlink_deps --build
node-gyp rebuild

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}/build
cp -pr fs-ext.js package.json %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p  build/Release/%{module_name}.node %{buildroot}%{nodejs_sitelib}/%{module_name}/build/
sed -i -e 's|build/Release|build|g' \
    %{buildroot}%{nodejs_sitelib}/%{module_name}/fs-ext.js

# Fix permissions
chmod 755 %{buildroot}%{nodejs_sitelib}/%{module_name}/build/%{module_name}.node

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} tests/test-fs-fcntl
%{__nodejs} tests/test-fs-seek.js
%{__nodejs} tests/test-fs-flock.js
%{__nodejs} tests/test-fs-utime.js
%endif

%files
%doc README.md example.js
%license LICENSE.txt
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Apr 28 2016 Stephen Gallagher <sgallagh@redhat.com> - 0.5.0-9.1
- Rebuild for Node.js 4.4.3 downgrade

* Tue Mar 29 2016 Tom Hughes <tom@compton.nu> - 0.5.0-9
- Rebuild for Node.js 5.x

* Wed Mar 23 2016 Tom Hughes <tom@compton.nu> - 0.5.0-8
- Rebuild for Node.js 4.4.x

* Wed Feb 10 2016 Tom Hughes <tom@compton.nu> - 0.5.0-7
- Rebuild for Node.js 4.3.x

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec  7 2015 Tom Hughes <tom@compton.nu> - 0.5.0-4
- Use %%{nodejs_arches} 

* Fri Dec  4 2015 Tom Hughes <tom@compton.nu> - 0.5.0-3
- Rebuild for nodejs 4.2.3

* Wed Dec  2 2015 Tom Hughes <tom@compton.nu> - 0.5.0-2
- Rebuild for nodejs 4.2

* Mon Nov 23 2015 Tom Hughes <tom@compton.nu> - 0.5.0-1
- Update to 0.5.0 upstream release

* Fri Sep 25 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.6-1
- Update to 0.4.6

* Fri Jul 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.5-1
- Update to 0.4.5

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 24 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.3-1
- Update to 0.4.3

* Sun Dec 07 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.2-2
- enable tests
- fix node file permissions

* Sat Dec 06 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.2-1
- Update to 0.4.2
- LICENSE.txt is now added

* Wed Dec 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.1-1
- Initial packaging

